> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hookmyapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a post

> Delete a post published by the Page.

Deletes a post. Irreversible. Only posts published by the Page can be deleted.

## Authentication

Use the `hmat_` channel token from `GET /meta/channels/{id}/token` or `hookmyapp channels token <channel>`. Do not use an `hmok_` API key for this call.

```bash theme={null}
Authorization: Bearer hmat_...
```

## Path parameters

<ParamField path="postId" type="string" required>
  The post id, `{pageId}_{postId}`.
</ParamField>

## Example

```bash theme={null}
curl -X DELETE "https://gateway.hookmyapp.com/meta/v25.0/{POST_ID}" \
  -H "Authorization: Bearer hmat_..."
```

## Successful response

```json theme={null}
{ "success": true }
```
